import {render, screen, act} from "@testing-library/react";
import MockAppWithProviders from "../../../../../../mocks/AppWithProvider";
import Sidebar from "@/components/layouts/Dashboard/Sidebar";


describe('Sidebar', () => {
    describe('Rendering', () => {
        it('Mobile Drawer is displayed when mobileOpen is true',  () => {
           const props={
                mobileOpen: true,
            };
            render(<MockAppWithProviders><Sidebar {...props}/></MockAppWithProviders>);
            const mobileDrawer = screen.getByTestId('mobile-drawer');
            expect(mobileDrawer).toBeVisible();
        });
    })
})
